CGI/Perl Guide | Learning Center | Forums | Advertise | Login
Site Search: in

  Main Index MAIN
INDEX
Search Posts SEARCH
POSTS
Who's Online WHO'S
ONLINE
Log in LOG
IN

Home: Perl Programming Help: Beginner:
Am Unable To Successfully Install Perl Module

 



Robs58
New User

Sep 26, 2014, 4:00 PM

Post #1 of 2 (4803 views)
Am Unable To Successfully Install Perl Module Can't Post

Greetings to all viewers,



Am currently running RHEL 6.5 on an HP Proliant BL490c G6 kernel version: 2.6.32-431.11.2.el6.x86_64
Perl version: v5.10.1 CPAN version v1.9402

The problem is that I am unable to successfully install perl module Net::SSSLeay version 1.66 when trying to
to install the module within the cpan environment. Here is what happens:

cpan[1]> install Net::SSleay
CPAN: Storable loaded ok (v2.20)
Going to read '/root/.cpan/Metadata'
Database was generated on Thu, 25 Sep 2014 17:53:11 GMT
CPAN: LWP::UserAgent loaded ok (v5.833)
CPAN: Time::HiRes loaded ok (v1.9721)
Warning: no success downloading '/root/.cpan/sources/authors/01mailrc.txt.gz.tmp15491'. Giving up on it. at /usr/share/perl5/CPAN/Index.pm line 225
Fetching with LWP:
http://www.perl.org/CPAN/authors/01mailrc.txt.gz
Going to read '/root/.cpan/sources/authors/01mailrc.txt.gz'
............................................................................DONE
Fetching with LWP:
http://www.perl.org/CPAN/modules/02packages.details.txt.gz
Going to read '/root/.cpan/sources/modules/02packages.details.txt.gz'
Database was generated on Fri, 26 Sep 2014 22:29:02 GMT
..............
New CPAN.pm version (v2.05) available.
[Currently running version is v1.9402]
You might want to try
install CPAN
reload cpan
to both upgrade CPAN.pm and run the new version without leaving
the current session.


..............................................................DONE
Fetching with LWP:
http://www.perl.org/CPAN/modules/03modlist.data.gz
Going to read '/root/.cpan/sources/modules/03modlist.data.gz'
DONE
Going to write /root/.cpan/Metadata
Warning: Cannot install Net::SSleay, don't know what it is.
Try the command

i /Net::SSleay/

to find objects with matching identifiers.

cpan[2]>




When running: cpan> make: (To build the module)



make: *** [SSLeay.o] Error 1

MIKEM/Net-SSLeay-1.66.tar.gz

/usr/bin/make-- NOT OK

Warning (usually harmless): 'YAML' not installed, will not storepersistent state

Running make test

Can't test withoutsuccessful make

Running make install

Makehad returned bad status, install seems impossible

Failed during this command:

MIKEM/Net-SSLeay-1.66.tar.gz : make NO

cpan[2]>

It seems as though the "make" command did not run successfully. And if that is true, I am assuming that the perl module cannot be installed. In other workds, if the invocation of the "make" command is failing, then this must be fixed first before I can successfully run cpan> install Net::SSLeay. Right?

Please advise. Thanks!

Best Regards,

Robs58


FishMonger
Veteran / Moderator

Sep 26, 2014, 10:17 PM

Post #2 of 2 (4789 views)
Re: [Robs58] Am Unable To Successfully Install Perl Module [In reply to] Can't Post

You need to first untar the file and cd into the directory it creates before running the make command. Before executing the make command, read the README and INSTALL files to see if it requires any additional steps prior to running make, such as executing a .configure script.

 
 


Search for (options) Powered by Gossamer Forum v.1.2.0

Web Applications & Managed Hosting Powered by Gossamer Threads
Visit our Mailing List Archives